loci.formats.in

## Class SlideBook7Reader.CImageGroup

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CImageGroup

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CImageGroup
      extends SlideBook7Reader.ClassDecoder

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `SlideBook7Reader.CImageGroup.CAnnotations`
    `(package private) class` | `SlideBook7Reader.CImageGroup.CAuxDoubleData`
    `(package private) class` | `SlideBook7Reader.CImageGroup.CAuxFloatData`
    `(package private) class` | `SlideBook7Reader.CImageGroup.CAuxSInt32Data`
    `(package private) class` | `SlideBook7Reader.CImageGroup.CAuxSInt64Data`
    `(package private) class` | `SlideBook7Reader.CImageGroup.CAuxXmlData`
    `(package private) class` | `SlideBook7Reader.CImageGroup.CMaskPositions`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.ArrayList<SlideBook7Reader.CAlignManipRecord70>` | `mAlignManipRecordList`
    `(package private) java.util.ArrayList<SlideBook7Reader.CImageGroup.CAnnotations>` | `mAnnotationList`
    `(package private) java.util.ArrayList<SlideBook7Reader.CImageGroup.CAuxDoubleData>` | `mAuxDoubleDataList`
    `(package private) java.util.ArrayList<SlideBook7Reader.CImageGroup.CAuxFloatData>` | `mAuxFloatDataList`
    `(package private) java.util.ArrayList<SlideBook7Reader.CImageGroup.CAuxSInt32Data>` | `mAuxSInt32DataList`
    `(package private) java.util.ArrayList<SlideBook7Reader.CImageGroup.CAuxSInt64Data>` | `mAuxSInt64DataList`
    `(package private) java.util.ArrayList<SlideBook7Reader.CImageGroup.CAuxXmlData>` | `mAuxXmlDataList`
    `(package private) java.util.ArrayList<SlideBook7Reader.CChannelRecord70>` | `mChannelRecordList`
    `(package private) int` | `mCompressionFlag`
    `(package private) SlideBook7Reader.CCompressionBase` | `mCompressor`
    `(package private) java.lang.Integer[]` | `mElapsedTimes`
    `(package private) SlideBook7Reader.CSBFile70` | `mFile`
    `(package private) java.util.ArrayList<SlideBook7Reader.CFRETManipRecord70>` | `mFRETManipRecList`
    `(package private) java.util.ArrayList<SlideBook7Reader.CHistogramRecord70>` | `mHistogramRecordList`
    `(package private) java.util.ArrayList<SlideBook7Reader.CImageData>` | `mImageDataList`
    `(package private) SlideBook7Reader.CImageRecord70` | `mImageRecord`
    `(package private) java.lang.String` | `mImageTitle`
    `(package private) int` | `mLastChannel`
    `(package private) int` | `mLastTimepoint`
    `(package private) java.util.ArrayList<SlideBook7Reader.CImageGroup.CMaskPositions>` | `mMaskPosList`
    `(package private) java.util.ArrayList<SlideBook7Reader.CMaskRecord70>` | `mMaskRecordList`
    `(package private) SlideBook7Reader.CNpyHeader` | `mNpyHeader`
    `(package private) java.util.ArrayList<SlideBook7Reader.CRatioManipRecord70>` | `mRatioManipRecordList`
    `(package private) java.util.ArrayList<SlideBook7Reader.CRemapChannelLUT70>` | `mRemapChannelLUTList`
    `(package private) java.util.ArrayList<SlideBook7Reader.CRemapManipRecord70>` | `mRemapManipRecList`
    `(package private) java.util.ArrayList<java.lang.Integer[]>` | `mSAPositionList`
    `java.lang.Boolean` | `mSingleTimepointFile`
    `(package private) java.util.ArrayList<SlideBook7Reader.CSBPoint<java.lang.Float>>` | `mStagePositions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CImageGroup(SlideBook7Reader.CSBFile70 inFile, java.lang.String inImageTitle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `CountImageDataFiles()`
    `int` | `GetBytesPerPixel()`
    `java.lang.String` | `GetChannelName(int inChannel)`
    `int` | `GetElapsedTime(int inTimepoint)`
    `int` | `GetExposureTime(int inChannel)`
    `java.lang.String` | `GetInfo()`
    `float` | `GetInterplaneSpacing()`
    `java.lang.String` | `GetLensName()`
    `double` | `GetMagnification()`
    `java.lang.String` | `GetName()`
    `int` | `GetNumChannels()`
    `int` | `GetNumColumns()`
    `int` | `GetNumPlanes()`
    `int` | `GetNumPositions()`
    `int` | `GetNumRows()`
    `int` | `GetNumTimepoints()`
    `java.lang.Boolean` | `GetSingleTimepointFile()`
    `float` | `GetVoxelSize()`
    `float` | `GetXPosition(int inPosition)`
    `float` | `GetYPosition(int inPosition)`
    `float` | `GetZPosition(int inPosition, int zplane)`
    `int` | `IsSFMT(java.lang.String inPath)`
    `java.lang.Boolean` | `Load()`
    `java.lang.Boolean` | `LoadAnnotations()`
    `java.lang.Boolean` | `LoadAuxData()`
    `java.lang.Boolean` | `LoadChannelRecord()`
    `java.lang.Boolean` | `LoadElapsedTimes()`
    `java.lang.Boolean` | `LoadImageRecord()`
    `java.lang.Boolean` | `LoadMaks()`
    `java.lang.Boolean` | `LoadSAPositions()`
    `java.lang.Boolean` | `LoadStagePosition()`

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mImageDataList

          java.util.ArrayList<SlideBook7Reader.CImageData> mImageDataList

    - #### mMaskPosList

          java.util.ArrayList<SlideBook7Reader.CImageGroup.CMaskPositions> mMaskPosList

    - #### mAnnotationList

          java.util.ArrayList<SlideBook7Reader.CImageGroup.CAnnotations> mAnnotationList

    - #### mImageRecord

          SlideBook7Reader.CImageRecord70 mImageRecord

    - #### mChannelRecordList

          java.util.ArrayList<SlideBook7Reader.CChannelRecord70> mChannelRecordList

    - #### mRemapChannelLUTList

          java.util.ArrayList<SlideBook7Reader.CRemapChannelLUT70> mRemapChannelLUTList

    - #### mAlignManipRecordList

          java.util.ArrayList<SlideBook7Reader.CAlignManipRecord70> mAlignManipRecordList

    - #### mRatioManipRecordList

          java.util.ArrayList<SlideBook7Reader.CRatioManipRecord70> mRatioManipRecordList

    - #### mFRETManipRecList

          java.util.ArrayList<SlideBook7Reader.CFRETManipRecord70> mFRETManipRecList

    - #### mRemapManipRecList

          java.util.ArrayList<SlideBook7Reader.CRemapManipRecord70> mRemapManipRecList

    - #### mHistogramRecordList

          java.util.ArrayList<SlideBook7Reader.CHistogramRecord70> mHistogramRecordList

    - #### mMaskRecordList

          java.util.ArrayList<SlideBook7Reader.CMaskRecord70> mMaskRecordList

    - #### mElapsedTimes

          java.lang.Integer[] mElapsedTimes

    - #### mSAPositionList

          java.util.ArrayList<java.lang.Integer[]> mSAPositionList

    - #### mStagePositions

          java.util.ArrayList<SlideBook7Reader.CSBPoint<java.lang.Float>> mStagePositions

    - #### mAuxFloatDataList

          java.util.ArrayList<SlideBook7Reader.CImageGroup.CAuxFloatData> mAuxFloatDataList

    - #### mAuxDoubleDataList

          java.util.ArrayList<SlideBook7Reader.CImageGroup.CAuxDoubleData> mAuxDoubleDataList

    - #### mAuxSInt32DataList

          java.util.ArrayList<SlideBook7Reader.CImageGroup.CAuxSInt32Data> mAuxSInt32DataList

    - #### mAuxSInt64DataList

          java.util.ArrayList<SlideBook7Reader.CImageGroup.CAuxSInt64Data> mAuxSInt64DataList

    - #### mAuxXmlDataList

          java.util.ArrayList<SlideBook7Reader.CImageGroup.CAuxXmlData> mAuxXmlDataList

    - #### mFile

          SlideBook7Reader.CSBFile70 mFile

    - #### mImageTitle

          java.lang.String mImageTitle

    - #### mNpyHeader

          SlideBook7Reader.CNpyHeader mNpyHeader

    - #### mCompressor

          SlideBook7Reader.CCompressionBase mCompressor

    - #### mLastTimepoint

          int mLastTimepoint

    - #### mLastChannel

          int mLastChannel

    - #### mSingleTimepointFile

          public java.lang.Boolean mSingleTimepointFile

    - #### mCompressionFlag

          int mCompressionFlag

  - ### Constructor Detail

    - #### CImageGroup

          public CImageGroup(SlideBook7Reader.CSBFile70 inFile,
                             java.lang.String inImageTitle)

  - ### Method Detail

    - #### Load

          public java.lang.Boolean Load()

    - #### LoadImageRecord

          public java.lang.Boolean LoadImageRecord()

    - #### IsSFMT

          public int IsSFMT(java.lang.String inPath)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### CountImageDataFiles

          public java.lang.Boolean CountImageDataFiles()

    - #### LoadChannelRecord

          public java.lang.Boolean LoadChannelRecord()

    - #### LoadMaks

          public java.lang.Boolean LoadMaks()

    - #### LoadAnnotations

          public java.lang.Boolean LoadAnnotations()

    - #### LoadElapsedTimes

          public java.lang.Boolean LoadElapsedTimes()

    - #### LoadSAPositions

          public java.lang.Boolean LoadSAPositions()

    - #### LoadStagePosition

          public java.lang.Boolean LoadStagePosition()

    - #### LoadAuxData

          public java.lang.Boolean LoadAuxData()

    - #### GetNumChannels

          public int GetNumChannels()

    - #### GetNumColumns

          public int GetNumColumns()

    - #### GetNumRows

          public int GetNumRows()

    - #### GetNumPlanes

          public int GetNumPlanes()

    - #### GetNumPositions

          public int GetNumPositions()

    - #### GetNumTimepoints

          public int GetNumTimepoints()

    - #### GetElapsedTime

          public int GetElapsedTime(int inTimepoint)

    - #### GetBytesPerPixel

          public int GetBytesPerPixel()

    - #### GetName

          public java.lang.String GetName()

    - #### GetInfo

          public java.lang.String GetInfo()

    - #### GetChannelName

          public java.lang.String GetChannelName(int inChannel)

    - #### GetLensName

          public java.lang.String GetLensName()

    - #### GetMagnification

          public double GetMagnification()

    - #### GetVoxelSize

          public float GetVoxelSize()

    - #### GetInterplaneSpacing

          public float GetInterplaneSpacing()

    - #### GetExposureTime

          public int GetExposureTime(int inChannel)

    - #### GetXPosition

          public float GetXPosition(int inPosition)

    - #### GetYPosition

          public float GetYPosition(int inPosition)

    - #### GetZPosition

          public float GetZPosition(int inPosition,
                                    int zplane)

    - #### GetSingleTimepointFile

          public java.lang.Boolean GetSingleTimepointFile()

Copyright © 2026 Open Microscopy Environment